Returns a list of invoices.
Use this method if you want to get a list of invoices, the method shows invoices only from the open period.
The list of field groups for Invoices:
-
Default: Status, StoreVendor, Type, DocumentNumber, DocumentDate, AccountingDate, ControlAmount
-
Purchasing: DueDate, PurchaseOrderNumber, CheckNumber, ApplyToNumber, LinesAmount, Lines
The list of field groups for Invoice Lines:
-
Lookup: LineNumber, StoreItem, Measure, Quantity, Cost, ExtendedCost
-
Purchasing: Template, TaxIncluded, ReturnReason
ID field is always shown. Permissions: All users.
Query Parameters
- Type: stringStores
Parameter to filter documents by stores. Several stores can be specified at the same time, e.g. "3478,230".
- Type: stringStatus
Parameter to search on document status: 'N' - incompleted, 'Y' - completed, 'L' - locked, 'R' - rejected.
- Type: stringType
I Ds Parameter to search on purchasing types: 'R' - regular, 'C' - credit memo, 'M' - manual, 'I' - paid in, 'O' - paid out. Several types can be specified simultaneously, e.g. 'IOM.'
- Type: stringStore
Vendor I D Parameter to search on Store Vendor. Type: Guid
- Type: stringFormat: date-timeFrom
Date In the YYYY-MM-DD format. This date is from 12:00:00 AM on specified date.
- Type: stringFormat: date-timeThru
Date In the YYYY-MM-DD format. This date is from 12:00:00 AM on specified date.
- Type: stringDocument
Date Type Parameter to search on type of date to return my list of purchase item documents for export. Available values: 'C' - Accounting, 'D' - Document, 'A' - Approval
- Type: booleanImage
Attached Parameter to filter invoices with/without image
- Type: stringMode
Parameter to filter documents by exported state (Exported to document or Exported to QuickBooks). Available values: All, ExportedToBlob, UnExportedToBlob, ExportedToQB, UnExportedToQB
- Type: stringFields
This parameter is used to specify a comma delimited list of fields to return for an object. A field group can also be specified in the following format: 'fieldGroupName'. All fields for the object can be returned by specifying 'All'
'Default' group is always shown, even if Fields parameter is not specified. 'Lookup' group will be shown if a model is a child of the required one.
- Type: stringapi
-version
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Responses
curl /PurchaseManagement/Invoices \
--header 'DCKey: YOUR_SECRET_TOKEN'
{ "Data": [ { "ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD", "Status": { "ID": null, "Description": null }, "StoreVendor": { "ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",